Post Reply 
 
Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
WD MyCloud and Minimserver
31-03-2015, 12:18
Post: #1
WD MyCloud and Minimserver
OK - I don't think this is possible, but is there ANYONE out there who has successfully installed MinimServer/Streamer on a WD MyCloud NAS?

The NAS uses Twonky as it's media server, but as far as I can see, there is no way to stream live radio through it. Maybe Twonky should be re-named Wonky?Smile
Find all posts by this user
Quote this message in a reply
31-03-2015, 12:40
Post: #2
RE: WD MyCloud and Minimserver
(31-03-2015 12:18)wallydaw Wrote:  OK - I don't think this is possible, but is there ANYONE out there who has successfully installed MinimServer/Streamer on a WD MyCloud NAS?

The NAS uses Twonky as it's media server, but as far as I can see, there is no way to stream live radio through it. Maybe Twonky should be re-named Wonky?Smile

See this thread - the answer seems no. Its not Twonky (not that I would normally defend Twonky) but Western Digital.

http://forum.minimserver.com/showthread.php?tid=1459

Peter
________________________________________________________
Linn Klimax DSM Katalyst & Solos, Wilson Benesch Discoveries & Torus
Linn Klimax Renew DS/1, Klimax Twin & ProAc D1s
Linn Klimax Renew DSM, Chord Mezzo 75, ProAc 1SCs
QNAP 559 ProII, Melco N1ZH, MinimServer, Lumin & Kazoo
Find all posts by this user
Quote this message in a reply
31-03-2015, 13:29
Post: #3
RE: WD MyCloud and Minimserver
OK! Maybe the wrong choice of NAS!
Find all posts by this user
Quote this message in a reply
02-04-2015, 06:40
Post: #4
RE: WD MyCloud and Minimserver
(31-03-2015 13:29)wallydaw Wrote:  OK! Maybe the wrong choice of NAS!

I have to believe this is possible, but there isn't an "app" you can download the from WD store. It's a linux box that you can SSH into with full root access, so it can be done.

The real problem, unfortunately, as I've discovered when modifying Twonky, is that each new WD firmware update wipes any changes you've made. So, you need to make backups of your work, save them, and then re-install everything whenever there is a WD software update.

I really tired of that with Twonky, because for awhile, WD was pushing out bug fixes a hysterical pace. The WD MyCloud has settled down and with a little patience and time, this would be doable.
Find all posts by this user
Quote this message in a reply
03-05-2015, 14:02
Post: #5
RE: WD MyCloud and Minimserver
I got very close. Installed Java 7 headless, but MinimServer complained about a GLIBC_2.15 dependency. I couldn't find a solution to this on Google. I have Logitech Squeezebox server and upgraded versions of Twonky running on my old MyBoook Live, but failed at the last hurdle with MinimServer.
Find all posts by this user
Quote this message in a reply
03-05-2015, 21:49
Post: #6
RE: WD MyCloud and Minimserver
(03-05-2015 14:02)ac16161 Wrote:  I got very close. Installed Java 7 headless, but MinimServer complained about a GLIBC_2.15 dependency. I couldn't find a solution to this on Google. I have Logitech Squeezebox server and upgraded versions of Twonky running on my old MyBoook Live, but failed at the last hurdle with MinimServer.

What was the exact filename of the Java download that you installed?

What was the exact filename of the MinimServer download that you installed?
Find all posts by this user
Quote this message in a reply
03-05-2015, 22:38
Post: #7
RE: WD MyCloud and Minimserver
(03-05-2015 21:49)simoncn Wrote:  
(03-05-2015 14:02)ac16161 Wrote:  I got very close. Installed Java 7 headless, but MinimServer complained about a GLIBC_2.15 dependency. I couldn't find a solution to this on Google. I have Logitech Squeezebox server and upgraded versions of Twonky running on my old MyBoook Live, but failed at the last hurdle with MinimServer.

What was the exact filename of the Java download that you installed?

What was the exact filename of the MinimServer download that you installed?

I used the following command to install Java 7 on my MyBook:

apt-get install openjdk-7-jre-headless

It seemed to work, the output from "java -version" is
java version "1.7.0_03"
OpenJDK Runtime Environment (IcedTea7 2.1.7) (7u3-2.1.7-1)
OpenJDK Zero VM (build 22.0-b10, interpreted mode)

The MinimServer file I downloaded was MinimServer-0.8.3d-linux-ppc.tar.gz

Executing minimserver/bin/startc then gave me lots of errors which had a Glibc_2.15 dependency at the root.
Find all posts by this user
Quote this message in a reply
04-05-2015, 22:06
Post: #8
RE: WD MyCloud and Minimserver
(03-05-2015 22:38)ac16161 Wrote:  I used the following command to install Java 7 on my MyBook:

apt-get install openjdk-7-jre-headless

It seemed to work, the output from "java -version" is
java version "1.7.0_03"
OpenJDK Runtime Environment (IcedTea7 2.1.7) (7u3-2.1.7-1)
OpenJDK Zero VM (build 22.0-b10, interpreted mode)

The MinimServer file I downloaded was MinimServer-0.8.3d-linux-ppc.tar.gz

Executing minimserver/bin/startc then gave me lots of errors which had a Glibc_2.15 dependency at the root.

This version of Java has a number of problems. You should use the latest version of Oracle Java 7 SE Embedded from this page. The full filename for the download is ejre-7u75-fcs-b13-linux-ppc-headless-18_dec_2014.tar.gz.
Find all posts by this user
Quote this message in a reply
05-05-2015, 12:01
Post: #9
RE: WD MyCloud and Minimserver
(04-05-2015 22:06)simoncn Wrote:  
(03-05-2015 22:38)ac16161 Wrote:  I used the following command to install Java 7 on my MyBook:

apt-get install openjdk-7-jre-headless

It seemed to work, the output from "java -version" is
java version "1.7.0_03"
OpenJDK Runtime Environment (IcedTea7 2.1.7) (7u3-2.1.7-1)
OpenJDK Zero VM (build 22.0-b10, interpreted mode)

The MinimServer file I downloaded was MinimServer-0.8.3d-linux-ppc.tar.gz

Executing minimserver/bin/startc then gave me lots of errors which had a Glibc_2.15 dependency at the root.

This version of Java has a number of problems. You should use the latest version of Oracle Java 7 SE Embedded from this page. The full filename for the download is ejre-7u75-fcs-b13-linux-ppc-headless-18_dec_2014.tar.gz.

Very kind of you to point me to the exact Java file to use. I still have some trouble though. I now have the following Java installed:


MyBookLive:/shares/Public/Minim/minimserver/bin# java -version
java version "1.7.0_75"
Java™ SE Embedded Runtime Environment (build 1.7.0_75-b13, headless)
Java HotSpot™ Embedded Client VM (build 24.75-b04, mixed mode)

I can run ./setup in the Minimserver /bin folder, but on running ./startc get the following:

MyBookLive:/shares/Public/Minim/minimserver/bin# ./startc
MinimServer 0.8.3 update 50, Copyright © 2012-2014 Simon Nash. All rights reserved.
java.lang.UnsatisfiedLinkError: /shares/Public/Minim/minimserver/data/tmp/native/libohNet.so: /lib/libc.so.6: version `GLIBC_2.15' not found (required by /shares/Public/Minim/minimserver/data/tmp/native/libohNet.so)
at java.lang.ClassLoader$NativeLibrary.load(Native Method)
at java.lang.ClassLoader.loadLibrary1(ClassLoader.java:1965)
at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1890)
at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1864)
at java.lang.Runtime.loadLibrary0(Runtime.java:849)
at java.lang.System.loadLibrary(System.java:1088)
at org.jminim.lib.OhNetService.createLibrary(OhNetService.java:569)
at org.jminim.lib.OhNetService.createDeviceStack(OhNetService.java:476)
at org.jminim.lib.OhNetService.createDeviceFactory(OhNetService.java:379)
at org.jminim.lib.OhNetService.access$1800(OhNetService.java:47)
at org.jminim.lib.OhNetService$Proxy.createDeviceFactory(OhNetService.java:945)
at org.jminim.lib.MonitorService$Monitor.createDevice(MonitorService.java:259)
at org.jminim.lib.MonitorService$Monitor.listenerAdded(MonitorService.java:333)
at org.jminim.core.RuntimeImpl.addEventListener(RuntimeImpl.java:1258)
at org.jminim.lib.RuntimeService$Proxy.addEventListener(RuntimeService.java:212)
at com.minimserver.Server.doStart(Server.java:676)
at com.minimserver.Server.start(Server.java:508)
at org.jminim.core.ContextImpl.startComponent(ContextImpl.java:167)
at org.jminim.core.ContextImpl.start(ContextImpl.java:92)
at org.jminim.core.RootContextImpl.startComponent(RootContextImpl.java:47)
at org.jminim.core.ContextImpl.start(ContextImpl.java:92)
at org.jminim.core.RuntimeImpl.run(RuntimeImpl.java:1382)
at org.jminim.core.LauncherImpl.run(LauncherImpl.java:975)
at org.jminim.core.LauncherImpl.launch(LauncherImpl.java:107)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.jav​a:43)
at java.lang.reflect.Method.invoke(Method.java:606)
at org.jminim.launch.Launcher.doLaunch(Launcher.java:621)
at org.jminim.launch.Launcher.launch(Launcher.java:204)
at com.minimserver.launch.LaunchServer.main(LaunchServer.java:30)
MinimServer error: now stopped, use 'restart' or 'exit'
Enter command (? for help), or null to exit:
>
Find all posts by this user
Quote this message in a reply
06-05-2015, 12:03
Post: #10
RE: WD MyCloud and Minimserver
(05-05-2015 12:01)ac16161 Wrote:  Very kind of you to point me to the exact Java file to use. I still have some trouble though. I now have the following Java installed:

MyBookLive:/shares/Public/Minim/minimserver/bin# java -version
java version "1.7.0_75"
Java™ SE Embedded Runtime Environment (build 1.7.0_75-b13, headless)
Java HotSpot™ Embedded Client VM (build 24.75-b04, mixed mode)

I can run ./setup in the Minimserver /bin folder, but on running ./startc get the following:

MyBookLive:/shares/Public/Minim/minimserver/bin# ./startc
MinimServer 0.8.3 update 50, Copyright © 2012-2014 Simon Nash. All rights reserved.
java.lang.UnsatisfiedLinkError: /shares/Public/Minim/minimserver/data/tmp/native/libohNet.so: /lib/libc.so.6: version `GLIBC_2.15' not found (required by /shares/Public/Minim/minimserver/data/tmp/native/libohNet.so)

Thanks for this information.

I an away from home at the moment and I can't do any more investigation until I get back home. It looks like your version of Linux has an older version of GLIBC than ohNet (used by MinimServer) is expecting. It might be possible for me to rebuild ohNet to support this older GLIBC version.
Find all posts by this user
Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)